> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pagos.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Resumes a Suspended Token



## OpenAPI

````yaml PUT /toucan/tokens/{tokenRefId}/resume
openapi: 3.0.0
info:
  title: Toucan API
  version: 1.0.0
servers:
  - url: https://services.sandbox.pagosapi.com
  - url: https://services.prod.pagosapi.com
security:
  - bearerAuth: []
paths:
  /toucan/tokens/{tokenRefId}/resume:
    put:
      tags:
        - Toucan Tokenization
      summary: Resumes a suspended token
      operationId: Resume
      parameters:
        - name: x-merchant-id
          in: header
          required: true
          description: Merchant identifier for requests.
          schema:
            type: string
            nullable: false
        - name: tokenRefId
          in: path
          required: true
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: Token resumed
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ToucanTokenAPIApplicationContractsResponsesTokenStatusChangeResponse
        '400':
          description: Token not resumable
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ToucanTokenAPIApplicationContractsTraceableErrorResponse
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ToucanTokenAPIApplicationContractsTraceableErrorResponse
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ToucanTokenAPIApplicationContractsTraceableErrorResponse
        '500':
          description: Server Error
          content:
            application/problem+json:
              schema:
                $ref: >-
                  #/components/schemas/ToucanTokenAPIApplicationContractsTraceableErrorResponse
components:
  schemas:
    ToucanTokenAPIApplicationContractsResponsesTokenStatusChangeResponse:
      type: object
      additionalProperties: false
      properties:
        tokenRefId:
          type: string
        status:
          type: string
        metadata:
          type: string
    ToucanTokenAPIApplicationContractsTraceableErrorResponse:
      type: object
      additionalProperties: false
      properties:
        code:
          type: integer
          format: int32
        requestId:
          type: string
        errorDetails:
          $ref: '#/components/schemas/ToucanTokenAPIApplicationContractsErrorDetails'
    ToucanTokenAPIApplicationContractsErrorDetails:
      type: object
      additionalProperties: false
      properties:
        reason:
          type: string
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/ToucanTokenAPIApplicationContractsErrorDetail'
    ToucanTokenAPIApplicationContractsErrorDetail:
      type: object
      additionalProperties: false
      properties:
        location:
          type: string
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Format is: `Bearer <api_key>`, where `<api_key>` is your Pagos API key'

````